apiVersion: v1
kind: Service
metadata:
  name: {{ .Chart.Name }}
  namespace: {{ .Values.namespaceName}}
  labels:
    app: {{ .Chart.Name }}
spec:
  type: {{ .Values.serviceType }}
  ports:
    - port: {{ .Values.serviceContainerPort }}
      protocol: {{ .Values.servicePortProtocol }}
      targetPort: {{ .Values.serviceContainerTargetPort }}
  selector:
    app: {{ .Chart.Name }}
